* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto Mono", monospace;
  text-decoration: none;
}
html {
  scroll-behavior: smooth;
  font-size: 16px;
}

body {
  background-color: #000000;
}

/* Headings - Adjust for Mobile */
h1 {
  font-size: 1.8rem; /* Smaller size on mobile */
}

h3 {
  font-size: 1.3rem;
}

p {
  font-size: 1rem;
  line-height: 1.5;
}

/* DESKTOP - HERO SECTION */
.container_full {
  width: 100%;
  position: relative;
  /* padding: 2rem; */
}

.container_nav {
  width: 100%;
  height: 120px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0 100px;
  text-align: center;
  z-index: 10;
  position: absolute;
  top: 0;
  left: 0;
}

.container_nav img {
  width: 160px;
}

.container_nav .nav_list ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  gap: 32px;
}

.container_nav .nav_list ul li a {
  text-decoration: none;
  color: #fff;
  font-size: 20px;
}

.container_hero {
  position: relative;
  /* top: 0;
  left: 0; */
  width: 100%;
  z-index: 1;
}
.container_hero video {
  width: 100%;
  object-fit: contain;
  overflow: hidden;
  filter: opacity(0.4);
}

/* FOOTER */

.footer {
  margin-top: 80px;
  text-align: center;
  padding: 20px;
  background: #000; /* Black background */
  color: #fff; /* White text */
  font-size: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}

/* Footer Logo */
.footer-logo {
  width: 100px; /* Adjust as needed */
  height: auto;
}

/* RESPOSIVE DESIGN -------------------------------------*/

/* Mobile Portrait */
@media (max-width: 480px) {
  .container_hero video {
    height: 100vh;
    object-fit: cover;
  }

  .container_nav {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 10;
    position: absolute;
    top: 200px;
    left: 50%;
    transform: translateX(-50%);
  }
  .container_nav img {
    width: 240px;
  }

  .container_nav .nav_list ul {
    display: flex;
    flex-direction: column;
    gap: 50px;
  }
  .container_nav .nav_list ul li {
    text-decoration: none;
    color: #fff;
    font-size: 26px;
  }
  .footer {
    margin-top: 20px;
    text-align: center;
    padding: 20px;

    color: #fff; /* White text */
    font-size: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2px;
  }

  .footer p {
    font-size: 0.9rem;
  }

  /* Footer Logo */
  .footer-logo {
    width: 120px;
    height: auto;
  }
}

/* NAV CHANGE */
@media (min-width: 481px) and (max-width: 691px) {
  .container_hero video {
    height: 100vh;
    object-fit: cover;
  }
  .container_nav {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 10;
    position: absolute;
    top: 200px;
    left: 50%;
    transform: translateX(-50%);
  }
  .container_nav img {
    width: 220px;
  }

  .container_nav .nav_list ul {
    display: flex;
    flex-direction: column;
    gap: 50px;
  }
  .container_nav .nav_list ul li {
    text-decoration: none;
    color: #fff;
    font-size: 22px;
  }
}

/* TABLET ------------------------ */
@media (min-width: 692px) and (max-width: 1023px) {
  .container_hero video {
    height: 100vh;
    object-fit: cover;
  }
  .container_nav {
    width: 100%;
    height: 120px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 80px;
    text-align: center;
    z-index: 10;
    position: absolute;
    top: 0;
    left: 0;
  }
  .container_nav img {
    width: 160px;
  }

  .container_nav .nav_list ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    gap: 32px;
  }

  .container_nav .nav_list ul li {
    text-decoration: none;
    color: #fff;
    font-size: 20px;
  }
}
